      $("#gerarGlitch").click(function(){
          showLoading();
          $('.getSource').show();
          $("#source").glitch(function(canvas){
              $(".target").html(canvas);
              $('.getSource').hide();
              removeLoading();
          });
      })
    var pictureSource;
    var destinationType;
    document.addEventListener("deviceready",onDeviceReady,false);
    function onDeviceReady() {
        pictureSource=navigator.camera.PictureSourceType;
        destinationType=navigator.camera.DestinationType;
    }
    function onPhotoDataSuccess(imageData) {
      $('#select').fadeOut();
      $('#edit').show();
      var smallImage = document.getElementById('source');
      $('canvas').remove();
      smallImage.src = "data:image/jpeg;base64," + imageData;
    }

    function onPhotoURISuccess(imageURI) {
      $('#select').fadeOut();
      $('#edit').show();
      $('canvas').remove();
      var largeImage = document.getElementById('source');
      largeImage.src = "data:image/jpeg;base64," + imageURI;
    }
    function capturePhoto() {
      navigator.camera.getPicture(onPhotoDataSuccess, onFail, { quality: 50,
        destinationType: destinationType.DATA_URL });
    }

    function capturePhotoEdit() {
      navigator.camera.getPicture(onPhotoDataSuccess, onFail, { quality: 20, allowEdit: true,
        destinationType: destinationType.DATA_URL });
    }

    function getPhoto(source) {
      navigator.camera.getPicture(onPhotoURISuccess, onFail, { quality: 50,
        destinationType: Camera.DestinationType.DATA_URL,
        sourceType: source 
        });
    }
    function onFail(message) {
      
    }

    function download() {
        showLoading();
        window.canvas2ImagePlugin.saveImageDataToLibrary(
          function(msg){
              removeLoading();
              alert('Imagem salva com sucesso!');
          },
          function(err){
            removeLoading();
              alert('Ocorreu um erro ao salvar a imagem no seu dispositivo.');
          },
          document.querySelector('canvas')
            );
    }

        function showLoading() {
            $('body').append('<div class="mask-loading"></div><div class="loading"></div>');
        }

        function removeLoading() {
            //setTimeout(function(){$('.mask-loading').fadeOut('fast');$('.loading').fadeOut('fast');}, 1500);
            $('.mask-loading').fadeOut('fast');
            $('.loading').fadeOut('fast');
        }
